Skip to main content
`Ctrl`+`K`

# TSResize

Runs the user-defined transfer functions provided with `TSSetResize()`

## Synopsis

    #include "petscts.h"
    PetscErrorCode TSResize(TS ts)

Collective

## Input Parameter

- ts - The `TS` context obtained from `TSCreate()`

## Note

`TSResize()` is typically used within time stepping implementations, so most users would not generally call this routine themselves.

## See Also

TS: Scalable ODE and DAE Solvers, `TS`, `TSSetResize()`

## Level

developer

## Location

src/ts/interface/ts.c

Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages